<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase Class
Members See Also

The base class from which all database classes inherit

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public class BaseDatabase : IDisposable

Visual Basic (Declaration)

    Public Class BaseDatabase _
    	Implements IDisposable

Visual C++

    public ref class BaseDatabase : IDisposable

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.Database
BerkeleyDB..::.SecondaryDatabase

# See Also

BaseDatabase Members
BerkeleyDB Namespace